# Load dplyr package 
library(dplyr)

# Clear R workspace
rm(list = ls() ) 

# Declare a variable to read and store moviesData  
movies <- read.csv("moviesData.csv")

# View movies 
View(movies)

# Filter the movies having genre as Comedy
moviesComedy <- filter(movies,
                       genre == "Comedy")
View(moviesComedy)

# Filter the movies having genre as either Comedy or Drama
moviesComDr <- filter(movies,
                      genre == "Comedy" | genre == "Drama")
View(moviesComDr)

# Filter the movies by using match operator
moviesComDrP <- filter(movies,
                       genre %in% c("Comedy", "Drama")) 
View(moviesComDrP)

# Filter the movies having genre as Comedy and imdb_rating >= 7.5
moviesComIm <- filter(movies,
                       genre == "Comedy" & imdb_rating >= 7.5)
View(moviesComIm)

# Arrange the movies in ascending order of imdb_rating
moviesImA <- arrange(movies, imdb_rating) 
View(moviesImA)

# Arrange the movies in descending order of imdb_rating
moviesImD <- arrange(movies, desc(imdb_rating)) 
View(moviesImD)

# Arrange the movies both by genre and imdb_rating
moviesGeIm <- arrange(movies, genre, imdb_rating)
View(moviesGeIm)
